import Vue from 'vue'
import Router from 'vue-router'
import { mountHooks } from './routerHook'
import hooks from './hooks'
Vue.use(Router)

const router = new Router({
  routes: [{
    path: '/',
    name: 'index',
    redirect: '/home'
  }, {
    path: '/home',
    name: 'home',
    meta: {
      showTabbar: true
    },
    component: () => import('../views/home/index.vue')
  },]
})
mountHooks(router, hooks)

export default router
